Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 238507 - Ebuild for MySQL workbench
Summary: Ebuild for MySQL workbench
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Hans de Graaff
URL: http://dev.mysql.com/workbench/?p=153
Whiteboard: InOverlay
Keywords:
Depends on: 264848
Blocks:
  Show dependency tree
 
Reported: 2008-09-23 21:01 UTC by Rodrigo Saboya
Modified: 2010-02-09 19:09 UTC (History)
23 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mysql-workbench-5.1.7.ebuild (mysql-workbench-5.1.7.ebuild,2.47 KB, text/plain)
2009-02-17 02:33 UTC, Brian G.
Details
Version Bump (mysql-workbench-5.1.9.ebuild,2.47 KB, text/plain)
2009-03-23 16:52 UTC, Hydrian
Details
patch for non-english locales (5.1.9-locale-hack.patch,1.12 KB, patch)
2009-03-27 22:12 UTC, Rodrigo Saboya
Details | Diff
Updated ebuild (mysql-workbench-5.1.9.ebuild,2.10 KB, text/plain)
2009-03-27 22:14 UTC, Rodrigo Saboya
Details
Updated ebuild (mysql-workbench-5.1.9.ebuild,2.20 KB, text/plain)
2009-04-04 14:08 UTC, Rodrigo Saboya
Details
mysql-workbench-5.1.10.ebuild (mysql-workbench-5.1.10.ebuild,1.27 KB, text/plain)
2009-04-15 22:00 UTC, Tim Harder
Details
use external ctemplate library (mysql-workbench-oss-5.1.10-ctemplate.patch,1.32 KB, patch)
2009-04-15 22:03 UTC, Tim Harder
Details | Diff
MySQL Workbench 5.1.12 Beta 3 (mysql-workbench-5.1.12.ebuild,1.16 KB, text/plain)
2009-05-07 12:20 UTC, Christian Strahl
Details
MySQL Workbench 5.2.0 Alpha (mysql-workbench-5.2.0.ebuild,1.16 KB, text/plain)
2009-05-07 12:55 UTC, Christian Strahl
Details
MySQL Workbench 5.2.1 Alpha (mysql-workbench-5.2.1.ebuild,1.16 KB, text/plain)
2009-05-26 08:57 UTC, Christian Strahl
Details
MySQL Workbench 5.1.16 (mysql-workbench-5.1.16.ebuild,1.16 KB, text/plain)
2009-07-01 09:24 UTC, Christian Strahl
Details
MySQL Workbench 5.2.2 Alpha (mysql-workbench-5.2.2.ebuild,1.16 KB, text/plain)
2009-07-30 10:53 UTC, Christian Strahl
Details
MySQL Workbench 5.1.17 (mysql-workbench-5.1.17.ebuild,1.16 KB, text/plain)
2009-08-17 11:40 UTC, Christian Strahl
Details
MySQL Workbench 5.2.3 Alpha (mysql-workbench-5.2.3.ebuild,1.16 KB, text/plain)
2009-09-18 07:42 UTC, Christian Strahl
Details
Added configure option to use external ctemplate (mysql-workbench-5.2.3.ebuild,1.19 KB, text/plain)
2009-09-18 19:38 UTC, Rodrigo Saboya
Details
MySQL Workbench 5.2.4 Alpha (mysql-workbench-5.2.4.ebuild,1.19 KB, text/plain)
2009-10-09 08:36 UTC, Christian Strahl
Details
Ebuild with correct ctemplate version (mysql-workbench-5.2.4.ebuild,1.19 KB, text/plain)
2009-10-09 15:05 UTC, Rodrigo Saboya
Details
MySQL Workbench 5.2.6 alpha (mysql-workbench-5.2.6.ebuild,1.20 KB, text/plain)
2009-10-22 20:50 UTC, Rodrigo Saboya
Details
mysql-workbench-5.1.17 emerge log (dev-db:mysql-workbench-5.1.17:20091026-152747.log,957.17 KB, text/plain)
2009-10-26 16:15 UTC, K. Posern
Details
mysql-workbench-5.2.6-r1.ebuild (mysql-workbench-5.2.6.ebuild,1.19 KB, text/plain)
2009-11-18 09:26 UTC, Alistair Bush (RETIRED)
Details
5.2.6-configure.in.pythonlib.patch (configure.in.pythonlib.patch,649 bytes, patch)
2009-11-19 07:57 UTC, Alistair Bush (RETIRED)
Details | Diff
MySQL Workbench 5.2.8 Beta (mysql-workbench-5.2.8.ebuild,1.19 KB, text/plain)
2009-11-29 09:37 UTC, Christian Strahl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Saboya 2008-09-23 21:01:15 UTC
MySQL Workbench is a cross-platform, visual database design tool developed by MySQL. It is the highly anticipated successor application of the DBDesigner4 project. MySQL Workbench will be available as a native GUI tool on Window, Linux and OS X.

First Alpha released on September 18th, 2008
Comment 1 Michael Evans 2008-11-10 19:07:24 UTC
http://bugs.gentoo.org/show_bug.cgi?id=246317

It appears that this should have been opened as this kind of bug, presuming that the workbench included with mysql-gui-tools is the same version.
Comment 2 Michael Evans 2008-11-10 20:21:41 UTC
Further investigation shows that MySQL Workbench has been split off from the MySQL GUI Tools source (r14 not r12 as our version of mysql-gui-tools calls for).  It is no longer included as part of it.  Therefore a new ebuild should be made for mysql-workbench.
Comment 3 Michael Evans 2008-11-10 20:29:10 UTC
Hum... I can't seem to find a way of displaying the CC list to see if swegener@gentoo.org is already on it.  However it looks like they're responsible for the current version of mysql-gui-tools-5.0_p12-r2.ebuild ; thus they seem most likely to be interested and knowledgeable in the details of ebuilds to update gui-tools to p/r14 and add in the ebuild for what was forked off of the gui-tools, workbench.
Comment 4 Michael Evans 2008-11-10 20:35:40 UTC
As noted here, ebuild will probably require a dependency on ctemplate (already exists)

http://dev.mysql.com/workbench/?page_id=152
Comment 5 Michael Evans 2008-11-11 00:57:13 UTC
5.0.27 dies, even after fixing a missing #include <cstring> for memset.
mdc_canvas_view_glitz.h:10:31: error: cairo/cairo-glitz.h: No such file or directory

http://dev.mysql.com/workbench/?page_id=152
Has a nice list of deps. and mentions the alpha version links should be used instead:

ftp://ftp.mysql.com/pub/mysql/download/gui-tools/mysql-workbench-5.1.4alpha.tar.gz ftp://ftp.mysql.com/pub/mysql/download/gui-tools/mysql-workbench-5.1.4alpha.tar.gz.md5

It's installed and working on my system (I don't have an ebuild though)
Comment 6 Brian G. 2009-02-17 02:33:07 UTC
Created attachment 182296 [details]
mysql-workbench-5.1.7.ebuild

Functional ebuild for mysql-workbench 5.1.7 with help from: http://coalface.mcslp.com/2008/11/10/compiling-mysql-workbench-on-gentoo/

There may still be some dependency issues.  Evidently it required dev-cpp/ctemplate-0.91 ... I copied 0.90 and renamed it... Worked for me...
Comment 7 Brian G. 2009-02-17 02:33:39 UTC
I was able to create a functional ebuild for mysql-workbench 5.1.7 with help from: http://coalface.mcslp.com/2008/11/10/compiling-mysql-workbench-on-gentoo/

There may still be some dependency issues, but it seemed to work for me.

Slight complication is that evidently it required dev-cpp/ctemplate-0.91 ... I  took the 0.90 ebuild from portage, copied it to my overlay dir, and renamed it to get 0.91 sources instead.  It seemed to compile without issue.
Comment 8 Rodrigo Saboya 2009-02-17 18:01:11 UTC
The attached ebuild compiled fine. When manually bumping ctemplate version to 0.91 I had to comment the missing include patch or it wouldn't compile.

Did not do any further testing on the app itself but it starts and seems to be working as expected.
Comment 9 Rodrigo Saboya 2009-02-18 02:32:55 UTC
FYI:

The ebuild emerged fine at my work PC but when I got home and tried to emerge it used all my RAM and the machine became totally unusable. I had MAKEOPTS set to "-j5". Tried to set it to "-j2", I didn't get a freeze but the emerge failed. I only got it to emerge with -j1.

I'd patch the ebuild myself but I don't know how to force-j1 on it =P
Comment 10 savi 2009-03-04 16:12:31 UTC
Missing dependency to libzip.
Also, doesn't compile with newer kernels because the file library/sql-parser/source/my_global.h tries to include <asm/atomic.h> which doesn't exist anymore.
Maybe brian can add a patch to his ebuild...
Comment 11 Rodrigo Saboya 2009-03-05 00:36:47 UTC
(In reply to comment #10)
> Missing dependency to libzip.
> Also, doesn't compile with newer kernels because the file
> library/sql-parser/source/my_global.h tries to include <asm/atomic.h> which
> doesn't exist anymore.
> Maybe brian can add a patch to his ebuild...
> 

I see the dependency in the ebuild:
>=dev-libs/libzip-0.8

About recent kernels: As of which version?
Comment 12 savi 2009-03-05 07:32:56 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > Missing dependency to libzip.
> > Also, doesn't compile with newer kernels because the file
> > library/sql-parser/source/my_global.h tries to include <asm/atomic.h> which
> > doesn't exist anymore.
> > Maybe brian can add a patch to his ebuild...
> > 
> 
> I see the dependency in the ebuild:
> >=dev-libs/libzip-0.8
> 
> About recent kernels: As of which version?
> 

I did this :
$ ebuild mysql-workbench-5.1.7.ebuild manifest
$ ebuild mysql-workbench-5.1.7.ebuild merge
and it complained about libzip...
Maybe it wasn't the right way to do things.

About kernels, I have a 2.26.27 installed.
Bug #163151 doesn't state clearly which version removed asm/atomic.h.
The simplest way could be to check if the asm/atomic.h file exists.
Comment 13 Rodrigo Saboya 2009-03-05 13:49:37 UTC
> I did this :
> $ ebuild mysql-workbench-5.1.7.ebuild manifest
> $ ebuild mysql-workbench-5.1.7.ebuild merge
> and it complained about libzip...
> Maybe it wasn't the right way to do things.
> 
> About kernels, I have a 2.26.27 installed.
> Bug #163151 doesn't state clearly which version removed asm/atomic.h.
> The simplest way could be to check if the asm/atomic.h file exists.

I have gentoo-sources-2.6.27-r8 and had no such problem.

Comments in bug #163151 suggests you have compiled MySQL with previous kernel headers. Unmerging MySQL and emerging it again should solve the problem.
Comment 14 Hydrian 2009-03-23 16:52:20 UTC
Created attachment 186012 [details]
Version Bump

Version bump to 5.1.9 (First real beta)
Comment 15 Rodrigo Saboya 2009-03-27 22:12:05 UTC
Created attachment 186486 [details, diff]
patch for non-english locales

There's a known bug in this version which causes incorrect parsing of decimal numbers because the parsing is affected by the LC_NUMERIC env var.

This patch corrects the problem. I got it directly from upstream and it's already applied in repository so further versions won't require it.

An easy workaround is to launch the app setting LC_NUMERIC=C or any enlish locale.

I don't know how to attach 2 files in the same comment so I'll post an updated ebuild in another comment.
Comment 16 Rodrigo Saboya 2009-03-27 22:14:35 UTC
Created attachment 186487 [details]
Updated ebuild

This ebuild applies the patch attached in above comment. Also did some cleanup and corrected a warning about a non-existing file.
Comment 17 David Sparks 2009-04-03 17:59:18 UTC
No package 'lua5.1' found

because I have lua-5.0.4 installed.

--- mysql-workbench-5.1.9.ebuild~       2009-04-03 10:52:47.159684227 -0700
+++ mysql-workbench-5.1.9.ebuild        2009-04-03 10:53:28.854434745 -0700
@@ -33,7 +33,7 @@
        dev-cpp/libgtksourceviewmm
        virtual/opengl
        virtual/glut
-       >=dev-lang/lua-5
+       >=dev-lang/lua-5.1
        dev-libs/ossp-uuid
        gnome-base/libgnome
        x11-libs/pango
Comment 18 David Sparks 2009-04-03 19:31:45 UTC
mdc_canvas_view.cpp:7:29: error: cairo/cairo-svg.h: No such file or directory

Looks like x11-libs/cairo needs to be built with svg support.  Sorry I don't know how to fix the ebuild to check what flags dependencies are built with.
Comment 19 Rodrigo Saboya 2009-04-04 14:08:11 UTC
Created attachment 187297 [details]
Updated ebuild

Added svg USE flag dependency for x11-libs/cairo
Comment 20 Tim Harder gentoo-dev 2009-04-15 22:00:35 UTC
Created attachment 188503 [details]
mysql-workbench-5.1.10.ebuild

New ebuild for mysql-workbench-5.1.10 with the following changes from the most current posted ebuild:
  * Changed homepage
  * Changed SRC_URI to use all mysql mirrors
  * Added python use flag to enable optional python modules
  * Cleaned up dependencies
  * Applied a patch to use external ctemplate libraries (see attached patch)
  * Removed unnecessary patches and other cruft
  * Migrated to EAPI 2 to use new phases and their defaults

Please try out the ebuild and post any problems to this bug.
Comment 21 Tim Harder gentoo-dev 2009-04-15 22:03:42 UTC
Created attachment 188504 [details, diff]
use external ctemplate library

Patch for version 5.1.10 to use the external ctemplate library instead of building the internal version.
Comment 22 Christian Strahl 2009-05-07 12:20:43 UTC
Created attachment 190605 [details]
MySQL Workbench 5.1.12 Beta 3

Version Bump.

Works for me.

(only renamed ebuild from 5.1.10 and removed ctemplate patch)
Comment 23 Rodrigo Saboya 2009-05-07 12:31:38 UTC
Yeah it works fine. ctemplate version was bumped to 0.93 though.

ctemplate patch has to be adjusted because the build system changed a bit. ctemplate is now built with the make all-recursive option. I don't know much about make and all, but a possible solution is to patch configure.in accordingly (patch is similar to the one attached) and removing ext/ctemplate before compiling. I guess that should work.

I tried bump to version 5.2.0 alpha. I did manage to get it built (without ctemplate patch, same problem as 5.1.12) but it segfaults randomly and I'm not able to use the new querying features: I can't connect to any database. I will try to address more issues with upstream, but I'd appreciate input from anyone more experienced.
Comment 24 Christian Strahl 2009-05-07 12:55:02 UTC
Created attachment 190613 [details]
MySQL Workbench 5.2.0 Alpha

Version Bump
Comment 25 Rodrigo Saboya 2009-05-07 13:45:21 UTC
As stated above, I don't recommend using the 5.2.0a version with the current ebuild: It does not emerge properly, at least on my machine.
Comment 26 Christian Strahl 2009-05-26 08:57:51 UTC
Created attachment 192478 [details]
MySQL Workbench 5.2.1 Alpha

Version Bump.

Database Connections (Query, Forward and Reverse Engineer) now works correctly.
Note: This is still an alpha release. Do not use it for production purposes.
Comment 27 Christian Strahl 2009-07-01 09:24:50 UTC
Created attachment 196234 [details]
MySQL Workbench 5.1.16

First stable release from MySQL Workbench 5.1

for details see:
http://dev.mysql.com/workbench/?p=245
and here:
http://dev.mysql.com/workbench/?page_id=49
Comment 28 Rodrigo Saboya 2009-07-01 15:15:02 UTC
Just some input on the latest 5.2.1 alpha ebuild: It's been working great for me for quite some time now. Haven't had any crashes or weird bugs at all.
Comment 29 savi 2009-07-15 13:26:05 UTC
I can't find the mysql-workbench-oss-5.1.16.tar.gz file on any mirror.
Is the workbench finally integrated in the mysql-gui-tools ebuild ?
If so, the mysql-gui-tools ebuild should propose a "workbench" keyword !
Comment 30 Christian Strahl 2009-07-15 16:06:57 UTC
(In reply to comment #29)
> I can't find the mysql-workbench-oss-5.1.16.tar.gz file on any mirror.
> Is the workbench finally integrated in the mysql-gui-tools ebuild ?
> If so, the mysql-gui-tools ebuild should propose a "workbench" keyword !
> 

no, mysql-workbench is a extra package.
On my system portage uses the following mirror to fetch the mysql-workbench-oss-5.1.16.tar.gz file:
http://ftp.heanet.ie/mirrors/www.mysql.com/Downloads/MySQLGUITools/mysql-workbench-oss-5.1.16.tar.gz

if that not works, you can download the file manually from here:

http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-workbench-oss-5.1.16.tar.gz/from/pick#mirrors

and put it in your /usr/portage/destfiles dir.
Comment 31 Renato Alves 2009-07-15 22:40:03 UTC
MySQL Workbench 5.2.1 doesn't build correctly here.

The error is:

i686-pc-linux-gnu-g++ -march=pentium-m -O2 -pipe -Wextra -Wall -Wno-unused -Wno-deprecated -ggdb3 -DENABLE_DEBUG -Wl,-export-dynamic -pthread -Wl,--export-dynamic -Wl,-O1 -o .libs/genobj genobj.o  ../../library/grt/src/.libs/libgrt.so ../../library/utilities/src/.libs/libguiutil.so //usr/lib//liblua.so -luuid /usr/lib/python2.5/config/libpython2.5.a -lutil /usr/lib/libgthread-2.0.so -lpthread -lrt /usr/lib/libgmodule-2.0.so /usr/lib/libglib-2.0.so /usr/lib/libxml2.so -ldl -lz -lm -L/usr/lib -lpcre /usr/lib/libsigc-2.0.so  -Wl,--rpath -Wl,/usr/lib/mysql-workbench -Wl,--rpath -Wl,//usr/lib/
i686-pc-linux-gnu-g++: /usr/lib/python2.5/config/libpython2.5.a: No such file or directory
make[2]: *** [genobj] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-db/mysql-workbench-5.2.1/work/mysql-workbench-oss-5.2.1/tools/genobj'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-db/mysql-workbench-5.2.1/work/mysql-workbench-oss-5.2.1'
make: *** [all] Error 2
 * 
 * ERROR: dev-db/mysql-workbench-5.2.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3220:  Called gnome2_src_compile
 *             environment, line 2442:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure

mplate [1]
# emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r5-i686-Intel-R-_Pentium-R-_M_processor_2.00GHz-with-glibc2.0
Timestamp of tree: Mon, 13 Jul 2009 20:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium-m -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://darkstar.ist.utl.pt/gentoo/ http://ftp.dei.uc.pt/pub/linux/gentoo/ http://cesium.di.uminho.pt/pub/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/science /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa bzip2 cli cracklib crypt cups dri firefox fortran gdbm gif gnutls gpm iconv ipv6 isdnlog jpeg midi mudflap ncurses nptl nptlonly opengl openmp pcre perl png pppd python readline reflection sdl session spl sse sse2 ssl sysfs tcpd tiff truetype unicode x86 xorg zlib" ALSA_CARDS="intel8x0 intel8x0m" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fglrx vesa radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 32 Christian Strahl 2009-07-16 11:58:44 UTC
(In reply to comment #31)
> MySQL Workbench 5.2.1 doesn't build correctly here.

confirmed on my amd64.

Last month the same ebuild builds fine on my system. Today the rebuild fails with the same error as above.
(/usr/lib/python2.5/config/libpython2.5.a: No such file or directory)

As workaround i build the package without the python useflag. But i don't now how many functionality is lost thereby.
Comment 33 J.O. Aho 2009-07-20 18:00:58 UTC
(In reply to comment #32)

> Last month the same ebuild builds fine on my system. Today the rebuild fails
> with the same error as above.
> (/usr/lib/python2.5/config/libpython2.5.a: No such file or directory)

The location of the file is /usr/lib and I guess the change has come with some of the later revisions of python ebuilds.

> As workaround i build the package without the python useflag. But i don't now
> how many functionality is lost thereby.

Here is another one:
ln -sf /usr/lib/libpython2.5.a /usr/lib/python2.5/config/libpython2.5.a

What you loose in functionality is the python plug-ins for workbench, and as the API for plug-ins are changing, I don't think you will find any yet.


Myself I have been hit of the AI/NN checkbox crashing when created a second table, it's quite bad as I have to save before setting AI to a table, then restart and set the AI and save again.
See the mysql bugzilla:
http://bugs.mysql.com/bug.php?id=44612
Comment 34 Hubert Kowalski 2009-07-27 21:35:33 UTC
(In reply to comment #27)

After successful bump of ctemplate, now I just wait for MySQL Workbench to pop in portage tree, to complete my set of devel tools.
Comment 35 Christian Strahl 2009-07-30 10:53:51 UTC
Created attachment 199635 [details]
MySQL Workbench 5.2.2 Alpha

Vesion Bump. (Still alpha!)

if you build this package with use=python you have to make this softlink:

(In reply to comment #33)
>
> ln -sf /usr/lib/libpython2.5.a /usr/lib/python2.5/config/libpython2.5.a
>
Comment 36 tbartdev 2009-08-13 14:20:21 UTC
emerging 5.2.2 results in the following here:

i686-pc-linux-gnu-g++ -DNO_MENU_MANAGER -O2 -march=core2 -mfpmath=sse -msse4.1 -fomit-frame-pointer -pipe -Wextra -Wall -Wno-unused -Wno-deprecated -ggdb3 -DENABLE_DEBUG -rdynamic -Wl,-O1 -Wl,--sort-common -o .libs/grtshell grtshell-shell.o grtshell-shell_view.o grtshell-auto_completable.o grtshell-custom_renderers.o grtshell-listmodel_wrapper.o grtshell-treemodel_wrapper.o grtshell-gtk_helpers.o grtshell-image_cache.o grtshell-metaclasses.o -pthread -Wl,-export-dynamic -pthread -Wl,--export-dynamic -Wl,-O1 -Wl,--sort-common -rdynamic  ../../../library/utilities/src/.libs/libguiutil.so ../../../backend/wbprivate/libwbprivate.a ../../../backend/wbpublic/.libs/libwbpublic.so /var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/canvas/src/.libs/libmdcanvas.so -L/usr/lib /var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/forms/.libs/libmforms.so /var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/dbc/.libs/libcdbc.so /var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so ../../../library/canvas/src/.libs/libmdcanvas.so ../../../library/forms/.libs/libmforms.so ../../../library/grt/src/.libs/libgrt.so /var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so ../../../library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so ../../../ext/ctemplate/ctemplate-src/.libs/libctemplate_wb.so /usr/lib/libglade-2.0.so /usr/lib/libgtkmm-2.4.so /usr/lib/libgdkmm-2.4.so /usr/lib/libatkmm-1.6.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libpangomm-1.4.so /usr/lib/libcairomm-1.0.so /usr/lib/libglibmm-2.4.so /usr/lib/libsigc-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libgio-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpangoft2-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libgnome-2.so /usr/lib/libgnomevfs-2.so -lresolv /usr/lib/libgconf-2.so /usr/lib/libdbus-glib-1.so /usr/lib/libdbus-1.so /usr/lib/libpopt.so /usr/lib/libbonobo-2.so /usr/lib/libbonobo-activation.so /usr/lib/libORBitCosNaming-2.so /usr/lib/libORBit-2.so /usr/lib/libgobject-2.0.so //usr/lib//liblua.so -luuid /usr/lib/python2.5/config/libpython2.5.a -lutil -lpcre /usr/lib/libgthread-2.0.so -lrt /usr/lib/libgmodule-2.0.so /usr/lib/libglib-2.0.so /usr/lib/libxml2.so /usr/lib/libcairo.so /usr/lib/libpixman-1.so /usr/lib/libfontconfig.so /usr/lib/libfreetype.so /usr/lib/libexpat.so /usr/lib/libdirectfb.so /usr/lib/libfusion.so /usr/lib/libdirect.so /usr/lib/libpng12.so /usr/lib/libXrender.so /usr/lib/libXau.so /usr/lib/libXdmcp.so /usr/lib/libGL.so /usr/lib/libX11.so /usr/lib/libXext.so -ldl /usr/lib/libzip.so -Wl,--as-needed -L/usr/lib/mysql -lmysqlclient_r -lz -lcrypt -lnsl -lm -lssl -lcrypto /usr/lib/libsqlite3.so -lpthread  -Wl,--rpath -Wl,/usr/lib/mysql-workbench -Wl,--rpath -Wl,//usr/lib/
/usr/lib/python2.5/config/libpython2.5.a(posixmodule.o): In function `posix_tmpnam':
(.text+0x985): warning: the use of `tmpnam_r' is dangerous, better use `mkstemp'
/usr/lib/python2.5/config/libpython2.5.a(posixmodule.o): In function `posix_tempnam':
(.text+0xab6): warning: the use of `tempnam' is dangerous, better use `mkstemp'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_int'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_double'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_int64'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_changes'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_text'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_double'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_db_handle'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_blob'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_step'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_open'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_reset'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_bytes'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_blob'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_name'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_prepare'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_int'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_finalize'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_text'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_int64'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_count'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_close'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_decltype'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_type'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_errmsg'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_null'

This is b/c libvsqlitepp.so does not get compiled with -lsqlite3

I don't know how to fix this (guess it's an error in the configure step and/or the makefile?) in the ebuild, so I manually removed libvsqlitepp.so, compiled it with -lsqlite3 and continued the emerge process. This works - at least the compilation finishes, I have to try to run the programm later (tested it: at least it starts OK)

All of this may be because at the very start of the emerge process I get a warning that my autotools are newer than the ones expected. If I add an "eautoreconf" to the ebuild however, I get various other linking errors much sooner:

i686-pc-linux-gnu-g++ -O2 -march=core2 -mfpmath=sse -msse4.1 -fomit-frame-pointer -pipe -Wextra -Wall -Wno-unused -Wno-deprecated -ggdb3
 -DENABLE_DEBUG -Wl,-export-dynamic -pthread -Wl,--export-dynamic -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -o .libs/genobj genobj.o  ..
/../library/grt/src/.libs/libgrt.so /var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.
libs/libguiutil.so ../../library/utilities/src/.libs/libguiutil.so //usr/lib//liblua.so -luuid /usr/lib/python2.5/config/libpython2.5.a
-lutil /usr/lib/libgthread-2.0.so -lpthread -lrt /usr/lib/libgmodule-2.0.so /usr/lib/libglib-2.0.so /usr/lib/libxml2.so -ldl -lz -lm -L/
usr/lib -lpcre /usr/lib/libsigc-2.0.so  -Wl,--rpath -Wl,/usr/lib/mysql-workbench -Wl,--rpath -Wl,//usr/lib/
/usr/lib/python2.5/config/libpython2.5.a(posixmodule.o): In function `posix_tmpnam':
(.text+0x985): warning: the use of `tmpnam_r' is dangerous, better use `mkstemp'
/usr/lib/python2.5/config/libpython2.5.a(posixmodule.o): In function `posix_tempnam':
(.text+0xab6): warning: the use of `tempnam' is dangerous, better use `mkstemp'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::slot_base()'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `xmlSaveFormatFile'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlStrcmp'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `pcre_free_substring'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::slot_base(sigc::slot_base const&)'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `pcre_free'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlDocGetRootElement'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlGetLastError'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlParseMemory'
../../library/grt/src/.libs/libgrt.so: undefined reference to `g_module_close'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::slot_base(sigc::internal::slot_rep*)'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::trackable::~trackable()'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `pcre_exec'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::operator=(sigc::slot_base const&)'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlNewDoc'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::slot_base()'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::~slot_base()'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::internal::signal_impl::sweep()'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::signal_base::~signal_base()'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlGetNsProp'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlDocDumpFormatMemory'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlNewProp'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `xmlNodeListGetString'
../../library/grt/src/.libs/libgrt.so: undefined reference to `g_module_symbol'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::trackable::trackable()'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `pcre_compile'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::signal_base::signal_base()'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlFreeDoc'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlNewDocRawNode'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `xmlParseFile'
../../library/grt/src/.libs/libgrt.so: undefined reference to `g_module_open'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::~slot_base()'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlNodeGetContent'
../../library/grt/src/.libs/libgrt.so: undefined reference to `g_module_error'
../../library/grt/src/.libs/libgrt.so: undefined reference to `sigc::slot_base::slot_base(sigc::slot_base const&)'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlGetProp'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlNewTextChild'
/var/tmp/portage/dev-db/mysql-workbench-5.2.2/work/mysql-workbench-oss-5.2.2/library/utilities/src/.libs/libguiutil.so: undefined refere
nce to `pcre_get_substring'
../../library/grt/src/.libs/libgrt.so: undefined reference to `xmlFree'
collect2: ld returned 1 exit status

I am running mostly stable x86 and my linking is consistent (revdep-rebuild)
Comment 37 Christian Strahl 2009-08-17 11:40:46 UTC
Created attachment 201523 [details]
MySQL Workbench 5.1.17 

Version Bump.
Comment 38 Christian Strahl 2009-08-19 15:27:24 UTC
(In reply to comment #36)
try to update python to python-2.6.2-r1 (see bug #236466).
Comment 39 tbartdev 2009-08-26 10:48:52 UTC
> try to update python to python-2.6.2-r1 (see bug #236466).
If that is necessary then we should put it into the ebuild.

1) You still have to do this (see comment #35), but now with 2.6:
ln -sf /usr/lib/libpython2.6.a /usr/lib/python2.6/config/libpython2.6.a

2) It still does not compile

3) My python has USE=-sqlite
Maybe that is also a problem? If yes, then this also has to be checked in the ebuild. It can however not be a strict requirement, as I have mysql-workbench running here w/o USE=sqlite for python (2.5). With the hack described in comment #36 (compiling ibvsqlitepp.so with -lsqlite3 manually). This is a defect in the makefile (or the building process that outputs the makefile).

I am sorry, but my understanding of autoconf (btw.: what about the eautoreconf thing I mentioned in comment #36, don't we have to do it as the configure step spits outs lots of warnings regarding the autoconf versions?) and makefiles is really limited. But I am absolutely willing to help with testing/providing reports if anyone steps forwards and provides a fix for the missing -lsqlite flag for the compilation of libvsqlitepp.so..
Comment 40 Marcin Gryszkalis 2009-09-02 08:22:12 UTC
5.1.17 builds fine (with python symlink mentioned above) but workbench segfaults at the start

[Thread debugging using libthread_db enabled]
[New Thread 0xb511d940 (LWP 8562)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb511d940 (LWP 8562)]
0x08142d5d in main (argc=Cannot access memory at address 0x0
) at /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include/g++-v4/bits/char_traits.h:262
262           { return __builtin_strlen(__s); }

Comment 41 Christian Strahl 2009-09-18 07:42:15 UTC
Created attachment 204490 [details]
MySQL Workbench 5.2.3 Alpha

Version bump
Comment 42 Rodrigo Saboya 2009-09-18 19:38:43 UTC
Created attachment 204537 [details]
Added configure option to use external ctemplate

Adding a configure option so it uses the system's ctemplate and not the on bundled with mysql-workbench.

Beware that the version bundled with mysql workbench is 0.95 while the ebuild only checks for versions 0.91 and up. I don't know if will work correctly with versions prior to 0.95.
Comment 43 Christian Strahl 2009-10-09 08:36:54 UTC
Created attachment 206508 [details]
MySQL Workbench 5.2.4 Alpha

version bump (alpha!)
Comment 44 Rodrigo Saboya 2009-10-09 15:05:11 UTC
Created attachment 206541 [details]
Ebuild with correct ctemplate version

=dev-cpp/ctemplate-0.95 breaks API compatibility with previous version, and current versions of MySQL Workbench depend on =dev-cpp/ctemplate-0.95. This ebuild depends on the correct version.
Comment 45 Rodrigo Saboya 2009-10-09 17:23:55 UTC
Testing revealed that as of version 5.2.4, MySQL WB depends on dev-python/paramiko. Upstream confirmed and added that it also depends on dev-python/pexpect. Patch follows:

--- mysql-workbench-5.2.4.ebuild.old	2009-10-09 14:17:04.000000000 -0300
+++ mysql-workbench-5.2.4.ebuild	2009-10-09 14:19:41.000000000 -0300
@@ -35,7 +35,8 @@
 	|| ( sys-libs/e2fsprogs-libs
 		dev-libs/ossp-uuid )
 	>=x11-libs/cairo-1.5.12[svg]
-	python? ( virtual/python )
+	dev-python/pexpect
+	dev-python/paramiko
 	readline? ( sys-libs/readline )"
 DEPEND="${RDEPEND}
 	>=dev-cpp/ctemplate-0.95
Comment 46 Rodrigo Saboya 2009-10-20 14:51:44 UTC
Could this at least make it to sunrise? I think the ebuild is pretty mature, nearly all the dependencies are stable by now (I think ctemplate is the only unstable dep by now, and even that is a stable candidate I guess).
Comment 47 Rodrigo Saboya 2009-10-22 20:50:57 UTC
Created attachment 207928 [details]
MySQL Workbench 5.2.6 alpha

MySQL Workbench 5.2.6 alpha released 2009-10-21
Comment 48 Rodrigo Saboya 2009-10-23 20:42:35 UTC
Apparently 5.2.6 introduced a dependency on dev-libs/boost:

@@ -28,6 +28,7 @@
 	dev-libs/libzip
 	>=virtual/mysql-5.0
 	dev-libs/libpcre
+	dev-libs/boost
 	virtual/opengl
 	>=dev-lang/lua-5.1
 	gnome-base/libgnome
Comment 49 K. Posern 2009-10-26 16:11:56 UTC
Why this ebuild should not be in sunrise yet... ;)

I am having the same problems like discussed here:
http://wb.mysql.com/?p=279

With the actual 5.1.17 ebuild I cannot install workbench.
Comment 50 K. Posern 2009-10-26 16:15:44 UTC
Created attachment 208322 [details]
mysql-workbench-5.1.17 emerge log

This attachments refers to my last posting.
Comment 51 Rodrigo Saboya 2009-10-26 16:24:32 UTC
The libpython issue is a blocker indeed, but there's a workaround right here ni this ticket, just do a symlink. Did you miss that?
Comment 52 K. Posern 2009-10-26 19:39:28 UTC
Thanks for the fast answer!

I did not miss this. I was just more hoping on a more clean resolution :)

E.g. maybe just a patch of the Configure script (dunno what would be the most elegant solution (besides WB changing their Configure script ;) to get this little line from the ./configure output straight:

checking for Python... /usr/lib/python2.6/config/libpython2.6.a -lpthread -ldl  -lutil -Xlinker -export-dynamic

The line in the configure script in question:

python -c "from distutils import sysconfig
print '/'.join(sysconfig.get_config_vars('LIBPL','LIBRARY'))+' ' + sysconfig.get_config_var('LIBS') + ' ' + sysconfig.get_config_var('LINKFORSHARED')"

I would like to provide such a patch, but unfortunately I am missing answers about the 3 possible solutions I found:

1st) so what variable would one need to use instead of LIBPL (that would basicly refer to the /usr/lib place)?

2nd) From what I read on the blog page (that I mentioned) I would like to know the answer to this question:
Does “LIBRARY” variable references shared library in other distributions, or do you consciously try to use Python static library instead of shared library?
---
So basicly: What is the advantage of using LIBRARY vs. LDLIBRARY? What is the "right" thing to use? Does WB need to use LIBRARY or what would be necessary to have WB use LDLIBRARY instead?

3rd) Someone suggested the following and I am not sure what this exactly means and/or how to use it .... I am guessing that it implies to use the shared libraries of python? ... but what would need to be changed within WD to make it work?
[quote]
The following command can be used to find Python library:
Code:
python -c ‘from distutils import sysconfig; print(”-lpython” + sysconfig.get_config_var(”VERSION”))’
this maybe solve the problem in all distributions.
[/quote]

Sorry for my (obvious) lack of knowlege about linking.
Comment 53 MarisN 2009-11-12 16:17:44 UTC
(In reply to comment #47)
> Created an attachment (id=207928) [details]
> MySQL Workbench 5.2.6 alpha
> 
> MySQL Workbench 5.2.6 alpha released 2009-10-21
> 
It fails to start with pycrypto-2.0.1-r8. After upgrade to dev-python/pycrypto-2.1.0_beta1 it launches fine.
Comment 54 Rodrigo Saboya 2009-11-12 16:53:02 UTC
(In reply to comment #53)
> (In reply to comment #47)
> > Created an attachment (id=207928) [details] [details]
> > MySQL Workbench 5.2.6 alpha
> > 
> > MySQL Workbench 5.2.6 alpha released 2009-10-21
> > 
> It fails to start with pycrypto-2.0.1-r8. After upgrade to
> dev-python/pycrypto-2.1.0_beta1 it launches fine.
> 

Actually I have pycrypto-2.0.1-r8 installed and it works just fine.

# equery l pycrypto
[ Searching for package 'pycrypto' in all categories among: ]
 * installed packages
[I--] [  ] dev-python/pycrypto-2.0.1-r8 (0)
Comment 55 Rodrigo Saboya 2009-11-12 16:59:02 UTC
(In reply to comment #52)
> Thanks for the fast answer!
> 
> I did not miss this. I was just more hoping on a more clean resolution :)
> 
> *snip*
> 
> Sorry for my (obvious) lack of knowlege about linking.

Actually I wouldn't know that myself, I'm as lost as you are in this :) The best way would be to patch the configure script to suit Gentoo's needs, but maybe this can be taken upstream so a most universal solution is achieved... But I really don't know.
Comment 56 Alistair Bush (RETIRED) gentoo-dev 2009-11-17 09:48:29 UTC
Currently making improvements to the 5.2.6 ebuild.  Uses eautoreconf and applies the python fix.  Currently failing to build do to some stupid reason.

>In file included from 
>src/db_mysql_catalog_report.cpp:4:                                                                                 
> src/db_mysql_catalog_report.h:13:32: error: ctemplate/template.h: No such file or directory                                              
> In file included from src/db_mysql_catalog_report.cpp:4:

Will hopefully have a change to work on it tomorrow and will upload it.  might then hit the mysql guys up to get it into the tree.
Comment 57 Alistair Bush (RETIRED) gentoo-dev 2009-11-18 09:26:57 UTC
Created attachment 210563 [details]
mysql-workbench-5.2.6-r1.ebuild

Note this ebuild compiles but I have not tested it.

This is, I believe, a improved version of the latest ebuild.  One thing I have noticed is that we are getting the following output which will need a bug filed against upstream.

 * QA Notice: Unrecognized configure options:
 *                                           
 *      configure: WARNING: unrecognized options: --disable-python-modules
 *      configure: WARNING: unrecognized options: --disable-python-modules
 *      configure: WARNING: unrecognized options: --disable-dynamic       
 *      configure: WARNING: unrecognized options: --disable-dynamic       
 * QA Notice: make jobserver unavailable:                                 
 *                                                                        
 *      make[4]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
 *      make[4]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
 *      make[3]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.

 * QA Notice: Package has poor programming practices which may compile
 *            fine but exhibit random runtime failures.               
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * nativeapi/libmysql_dynamic_proxy.cpp:37: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * python_grtdict.cpp:351: warning: dereferencing type-punned pointer will break strict-aliasing rules                 
 * python_grtobject.cpp:529: warning: dereferencing type-punned pointer will break strict-aliasing rules               
 * python_grtobject.cpp:541: warning: dereferencing type-punned pointer will break strict-aliasing rules               
 * python_grtlist.cpp:443: warning: dereferencing type-punned pointer will break strict-aliasing rules                 
 * python_module.cpp:393: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * python_module.cpp:406: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * sqlide/recordset.cpp:239: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * sqlide/recordset.cpp:279: warning: dereferencing type-punned pointer will break strict-aliasing rules


 * QA Notice: Package has poor programming practices which may compile
 *            fine but exhibit random runtime failures.
 * ./src/base/manual_constructor.h:99: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * cc1plus: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * ./src/ctemplate/template_string.h:160: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * cc1plus: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * python_grtdict.cpp:351: warning: dereferencing pointer ‘PyGRTDictObjectType.182’ does break strict-aliasing rules
 * python_grtdict.cpp:351: warning: dereferencing pointer ‘PyGRTDictObjectType.182’ does break strict-aliasing rules
 * python_grtobject.cpp:529: warning: dereferencing pointer ‘PyGRTObjectObjectType.191’ does break strict-aliasing rules
 * python_grtobject.cpp:529: warning: dereferencing pointer ‘PyGRTObjectObjectType.191’ does break strict-aliasing rules
 * python_grtobject.cpp:541: warning: dereferencing pointer ‘PyGRTMethodObjectType.193’ does break strict-aliasing rules
 * python_grtobject.cpp:541: warning: dereferencing pointer ‘PyGRTMethodObjectType.193’ does break strict-aliasing rules
 * python_grtlist.cpp:443: warning: dereferencing pointer ‘PyGRTListObjectType.198’ does break strict-aliasing rules
 * python_grtlist.cpp:443: warning: dereferencing pointer ‘PyGRTListObjectType.198’ does break strict-aliasing rules
 * python_module.cpp:393: warning: dereferencing pointer ‘PyGRTModuleObjectType.174’ does break strict-aliasing rules
 * python_module.cpp:393: warning: dereferencing pointer ‘PyGRTModuleObjectType.174’ does break strict-aliasing rules
 * python_module.cpp:406: warning: dereferencing pointer ‘PyGRTFunctionObjectType.176’ does break strict-aliasing rules
 * python_module.cpp:406: warning: dereferencing pointer ‘PyGRTFunctionObjectType.176’ does break strict-aliasing rules

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.
 * Homepage: http://dev.mysql.com/workbench/
Comment 58 Greg Turner 2009-11-18 21:43:43 UTC
(In reply to comment #52)
> Thanks for the fast answer!
> 
> I did not miss this. I was just more hoping on a more clean resolution :)
> 
> E.g. maybe just a patch of the Configure script

This is just terribad but would probably work for most people until a correct solution is found

src_configure() {
	econf \
		$(use_enable nls i18n) \
		$(use_enable python python-modules) \
		$(use_enable readline readline) \
		--with-system-ctemplate
	
	# why the inner quotes don't need to be escaped is way beyond me
	badthing="$( python -c "from distutils import sysconfig
print '/'.join(sysconfig.get_config_vars('LIBPL','LIBRARY'))" )"

	goodthing="$( echo $badthing | sed 's|/python.*fig/|/|' )"

	for x in $( find . -name Makefile | xargs grep ${badthing} \
	 	 		 | sed 's/:.*$//' | sort -u ); do
		einfo hacking $x libpython refs
		mv $x $x.bak
		cat $x.bak | sed "s|${badthing}|${goodthing}|" > $x
	done
}
Comment 59 Alistair Bush (RETIRED) gentoo-dev 2009-11-19 07:57:16 UTC
Created attachment 210602 [details, diff]
5.2.6-configure.in.pythonlib.patch

Sorry I didn't add the patch to configure.in.  Here it is.
Comment 60 Christian Strahl 2009-11-29 09:16:24 UTC
MYSQL-Workbench 5.2.8 is available (http://wb.mysql.com/?p=413)
Comment 61 Christian Strahl 2009-11-29 09:37:55 UTC
Created attachment 211503 [details]
MySQL Workbench 5.2.8 Beta
Comment 62 J.O. Aho 2009-12-05 21:34:02 UTC
Version 5.2.10 is out, using the configure.in.pythonlib.patch with a renamed version of mysql-workbench-5.2.8.ebuild builds well, not sue if there are dependencies that aren't fully met, but seems to work fine for me.
Comment 63 Victor Orozco 2009-12-09 03:40:17 UTC
The 5.2.8 version doesn't build here. The error is like 36[0] comment but i'm working with the last version of python (2.6.4)

[0] http://bugs.gentoo.org/show_bug.cgi?id=238507#c36

Error log
---------
/usr/lib64/libpython2.6.a(posixmodule.o): In function `posix_tmpnam':
(.text+0x5343): warning: the use of `tmpnam_r' is dangerous, better use `mkstemp'
/usr/lib64/libpython2.6.a(posixmodule.o): In function `posix_tempnam':
(.text+0x5271): warning: the use of `tempnam' is dangerous, better use `mkstemp'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_int'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_double'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_int64'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_changes'
../../../library/base/src/.libs/libwbbase.so: undefined reference to `pcre_free_substring'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_text'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `pcre_exec'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_double'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::TemplateDictionary::SetValue(ctemplate::TemplateString, ctemplate::TemplateString)'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_db_handle'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::Template::ClearCache()'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_blob'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `pcre_copy_substring'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_step'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::TemplateDictionary::TemplateDictionary(ctemplate::TemplateString const&, ctemplate::UnsafeArena*)'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_open'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::Template::GetTemplate(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, ctemplate::Strip)'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_reset'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_bytes'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::TemplateDictionary::AddSectionDictionary(ctemplate::TemplateString)'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_blob'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::Template::ReloadIfChanged()'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_name'
../../../library/base/src/.libs/libwbbase.so: undefined reference to `pcre_get_substring'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `pcre_free'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_prepare'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_int'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_finalize'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_text'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_int64'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::Template::ExpandWithData(ctemplate::ExpandEmitter*, ctemplate::TemplateDictionaryInterface const*, ctemplate::PerExpandData*) const'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `ctemplate::StaticTemplateStringInitializer::StaticTemplateStringInitializer(ctemplate::StaticTemplateString const*)'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_count'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_close'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_decltype'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_column_type'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_errmsg'
../../../backend/wbpublic/.libs/libwbpublic.so: undefined reference to `pcre_compile'
/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/library/vsqlite++/src/sqlite/.libs/libvsqlitepp.so: undefined reference to `sqlite3_bind_null'
collect2: ld returned 1 exit status
make[4]: *** [grtshell] Error 1
make[4]: Leaving directory `/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/frontend/linux/shell'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/frontend/linux'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10/frontend'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-db/mysql-workbench-5.2.10/work/mysql-workbench-oss-5.2.10'
make: *** [all] Error 2

emerge --info
-------------
Portage 2.2_rc55 (default/linux/amd64/10.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.32-gentoo x86_64)
=================================================================
System uname: Linux-2.6.32-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-2.1.6
Timestamp of tree: Tue, 08 Dec 2009 06:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.9-r2
dev-lang/python:     2.6.4
dev-python/pycrypto: 2.1.0_beta1
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0
sys-apps/baselayout: 2.1.6
sys-apps/openrc:     0.5.2
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.64
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -msse4 -msse4.1 -msse4.2 -mcx16 -msahf -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -msse4 -msse4.1 -msse4.2 -mcx16 -msahf -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="C"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/churritos /usr/local/portage/layman/gnome"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X a52 aac aalib acl acpi addbookmarks additions admin administrator alac alsa amarok amazon amd amd64 amrnb animation-rtl antlr apache2 archive ares ascii aspell autoipd automount avahi bash-completion bdf berkdb binary-drivers branding bzip2 c++ cairo ccache cdda cddb cdio cdr cli consolekit contentcache corba cracklib crypt css cups cursors custom-cxxflags cxx daap dbus dc1394 directfb disk-partition divx dri dts dvb dvd dvdr dvdread eds emboss encode equalizer evo fam fastbuild fat fbcon fbcondecor fbsplash ffmpeg firefox flac fortran ftp fuse gconf gdbm gdm gif git gnome gnome-keyring gnome-print gnutella gnutls gpm grub gstreamer gtk gtk2 hal hddtemp hfs httpd icons iconv id3tag imagemagick injection ipv6 java java6 jpeg lame laptop lcms libcaca libgcrypt libnotify live lua mad madwifi mikmod mmx mmxext mng modules mp3 mp4 mpeg mpeg2 mudflap multilib musepack mysql nautilus ncurses nls nocxx nptl nptlonly nsplugin ntfs objc objc++ objc-gc ogg openal openexr opengl openmp pam pcimcia pcre pdf perl php plugins png ppds pppd python qt3support readline reflection samba sdl session shout simplexml skins spell spl sqlite srt sse sse2 sse3 ssl ssse3 startup-notification stream subversion svg sysfs taglib tcpd theora threads thunar tiff tokenizer truetype udf unicode usb vcd verse vorbis wavpack webkit wmf wxwindows x x264 xcb xcomposite xinerama xml xorg xscreensaver xsl xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa nvidia radeon" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 64 Hans de Graaff gentoo-dev 2009-12-26 16:09:04 UTC
(In reply to comment #63)
> The 5.2.8 version doesn't build here. The error is like 36[0] comment but i'm
> working with the last version of python (2.6.4)

These look like problems with --as-needed. Should be fairly easy to fix this by patching the Makefiles.
Comment 65 Hans de Graaff gentoo-dev 2009-12-26 16:14:12 UTC
I've added mysql-workbench-5.2.11 to my overlay: graaff.

This version compiles and does somewhat work, and I've fixed the --as-needed issues. I've dropped all but the ~amd64 keywords since that is all I'm currently testing. Please let me know if it works for you on another arch and I'll add those keywords as well.

If you run into trouble with this ebuild please open new bugs for the issues and feel free to assign them directly to me. For now it's just way to easy to crash the workbench, and there is some disturbing output from both compilation and running that I would like to see fixed first.

Once overall quality has improved I'd be happy to move it to the main tree.

Thanks for all of your efforts on this bug so far!
Comment 66 Rodrigo Saboya 2009-12-26 20:14:46 UTC
It works fine on x86 here.
Comment 67 Victor Orozco 2010-01-07 19:23:01 UTC
I tried the ebuild from graaff's overlay. Works fine on amd64. I also noticed that the link from webgit in overlays.gentoo.org is wrong. But the layman URL is ok. Thanks
Comment 68 Igor Hjelmstrom Vinhas Ribeiro 2010-01-11 11:28:08 UTC
Hi - I just tested under AMD64 too: the code compiled just fine, and I played a little in the software (created a sample diagram) without any issues.
Comment 69 Igor Hjelmstrom Vinhas Ribeiro 2010-01-11 11:28:51 UTC
(In reply to comment #68)
> Hi - I just tested under AMD64 too: the code compiled just fine, and I played a
> little in the software (created a sample diagram) without any issues.
> 
(I used graaff's overlay as well)
Comment 70 Jakub Caban 2010-01-22 21:35:44 UTC
MySQL Workbench 5.2.14 Beta 4 Available

Are there any chances for one of those great ebuilds to be updated?
Comment 71 Hans de Graaff gentoo-dev 2010-01-23 13:16:00 UTC
(In reply to comment #70)
> MySQL Workbench 5.2.14 Beta 4 Available
> 
> Are there any chances for one of those great ebuilds to be updated?

Bumped in my overlay. Expect further beta versions to appear there as well, possibly with a week or so delay. Once the 5.2 series goes out of beta I'll probably add this to the main tree.
Comment 72 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-02-09 08:26:05 UTC
graaff: I'm in a meeting with upstream at present, and they note that gui-tools are going End-Of-Life _before_ WorkBench will be considered G.A. Changes to gui-tools aren't being taken anymore, so can you please consider merging up to the main tree sooner?
Comment 73 Hans de Graaff gentoo-dev 2010-02-09 09:37:28 UTC
(In reply to comment #72)
> graaff: I'm in a meeting with upstream at present, and they note that gui-tools
> are going End-Of-Life _before_ WorkBench will be considered G.A. Changes to
> gui-tools aren't being taken anymore, so can you please consider merging up to
> the main tree sooner?

As far as I know ( http://dev.mysql.com/support/eol-notice.html ) mysql-gui-tools is already EOL'ed since Dec 18th and there are a bunch of open issues with it as well that we never resolved. I don't see any open issues at the moment with the workbench, so I guess I could add it to the tree this week and mask mysql-gui-tools shortly afterwards.
Comment 74 Hans de Graaff gentoo-dev 2010-02-09 18:48:33 UTC
dev-db/mysql-workbench-5.2.15 is now in the official tree. Thanks for everyone on this bug both for your patience, for testing, and for contributing to the ebuild and patches!